import { Injectable } from '@angular/core';
import {HttpClient} from '_@angular_common@9.0.7@@angular/common/http';
import {CommonsService} from '../commons.service';
import {environment} from '../../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class HltOrderService {

    constructor(
        private http: HttpClient,
        private common: CommonsService
    ) { }

    /**
     * @Author Sum1Dream
     * @methodName getOrderKfcList
     * @Description // 查询肯德基订单
     * @Date 17:20 2022/10/27
     * @Param param
     */
    public getOrderList(param: object, callBack) {
        this.http.get(environment.orderUrl + 'hltRecharge/getOrderList?' + this.common.getWhereCondition(param)).subscribe(data => {
            callBack(data);
        });
    }

    /**
     * @Author Sum1Dream
     * @methodName getOrderDetail
     * @Description // 根据订单号查询订单详情
     * @Date 14:38 2022/10/28
     * @Param orderNo: string, callBack
     */
    public getOrderDetail(orderNo: string, callBack) {
        this.http.get(environment.orderUrl + 'hltRecharge/getOrderDetail?orderNo=' + orderNo).subscribe(data => {
            callBack(data);
        });
    }


}
